INCLUDES = -I$(top_srcdir)/src -I$(srcdir)

h_sources = AccessUnit.hpp \
            buffer.hpp \
            IInput.hpp \
            parse_info.hpp \
            parser.h \
            Parser.hpp \
            scanner.hpp \
            StreamReader.hpp \
            version.h

lib_h_sources = \
            parser.h \
            IInput.hpp \
            AccessUnit.hpp \
            StreamReader.hpp \
            Parser.hpp

cpp_sources = buffer.cpp \
              parse_info.cpp \
              parser.cpp \
              scanner.cpp

lib_LTLIBRARIES = libdirac_parser-@DIRAC_PARSER_MAJORMINOR@_parser.la

libdirac_parser_@DIRAC_PARSER_MAJORMINOR@_parser_la_SOURCES = $(h_sources) $(cpp_sources)
libdirac_parser_@DIRAC_PARSER_MAJORMINOR@_parser_la_CXXFLAGS = $(AM_CXXFLAGS)
libdirac_parser_@DIRAC_PARSER_MAJORMINOR@_parser_la_LIBADD = \
         $(top_builddir)/src/common/libdirac_parser-@DIRAC_PARSER_MAJORMINOR@_common.la

library_includedir=$(includedir)/dirac_parser-@DIRAC_PARSER_MAJORMINOR@/parser
library_include_HEADERS = $(lib_h_sources)
